API Explorer 936 endpoints

Get Features

GET /obp/v7.0.0/features

OBPv6.0.0-getFeatures No role required API

Returns information about the features enabled on this OBP instance.

No Authentication is Required.

User Authentication is Optional. The User need not be logged in.

JSON response body fields (12)
allow_abac_account_access
allow_abac_account_access
allow_account_deletion
allow_account_deletion
allow_account_firehose
allow_account_firehose
allow_customer_firehose
allow_customer_firehose
allow_dauth
allow_dauth
allow_direct_login
allow_direct_login
allow_gateway_login
allow_gateway_login
allow_just_in_time_entitlements
allow_just_in_time_entitlements
allow_oauth2_login
allow_oauth2_login
allow_public_views
allow_public_views
allow_sandbox_account_creation
allow_sandbox_account_creation
allow_sandbox_data_import
allow_sandbox_data_import
Example success response
{
  "allow_public_views": true,
  "allow_abac_account_access": false,
  "allow_account_firehose": false,
  "allow_customer_firehose": false,
  "allow_direct_login": true,
  "allow_gateway_login": false,
  "allow_oauth2_login": true,
  "allow_dauth": false,
  "allow_sandbox_account_creation": false,
  "allow_sandbox_data_import": false,
  "allow_account_deletion": false,
  "allow_just_in_time_entitlements": false
}
Possible errors (1)
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 getFeatures Originally /obp/v6.0.0/features